tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Christopher Schultz <ch...@christopherschultz.net>
Subject Re: Tomcat Version 7.0.34 + jdk 1.6 is not supporting TLS Protocol TLS1.2
Date Thu, 15 Dec 2016 21:07:01 GMT
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Dhanesh,

On 12/15/16 8:29 AM, dhanesh1212121212 wrote:
> Hi Team,
> 
> *Requirement:*
> 
> Support for PROTOCOL TLSv1.2.
> 
> We are currently using Tomcat Version 7.0.34  + jdk 1.6 and this is
> not supporting TLS Protocol TLS1.2.

That's because there are no public versions of Java 1.6 which support
TLSv1.2. You'll need to upgrade your JVM ... or take some other steps.

> Please let us know what are the steps we need to take to have
> support of TLS1.2 in Tomcat Version 7.0.34.
> 
> Posting few questions along with this for better understanding.
> 
> Question 1. DO we need to upgrade Tomcat Version and Java Version,
> if yes which version we need to choose.

The easiest thing to do would be to upgrade to a more recent Java
version. Java 1.7 and 1.8 both support TLSv1.2. I would recommend Java 8
since Java 7 is no longer supported (as is Java 6, incidentally).

> Refereed the  Tomcat Site
> "http://tomcat.apache.org/whichversion.html", will Tomcat Version
> 7.0.34 support jdk 1.8?

Read that page carefully. I think you'll be able to answer your own
question.

> Question 2. Which is the best approach Tomcat Version 7.0.34 + jdk
> 1.7 or jdk 1.8?

See above.

> Question 3. Do we need to upgrade Tomcat version to new one, if yes
> then which is the best working solution to achieve the requirement
> mentioned above?

You do not /need/ to upgrade, but you might /want to/ upgrade. Tomcat 8
improvements over earlier versions.

- -chris

-----BEGIN PGP SIGNATURE-----
Comment: GPGTools - http://gpgtools.org
Comment: Using GnuPG with Thunderbird - http://www.enigmail.net/

iQIcBAEBCAAGBQJYUwXxAAoJEBzwKT+lPKRY994QALxWBnApb1Gyd+9/3WulP31/
TFTeCTbZKtX4yWHFceg/XjD66xHENlfg790drL7HPRyKe3caPB560P2ORfkLuNDS
HWQbAiKOdD35zVcFnFBM9Dha67L/A/MvVdatArUTC6irjVCrpxmUuEFdcX3pLbOi
xf9hp8N8R1ogrRnhfUSc3MezUpP0i3SDDo/Lj77O0n9+SZydKc+7Zda1tf9N2ZEJ
XJDDv5miVOmyFBlrxPovxt5/XZKS/vuurTWTHGfJkurH2LP4J1LuqqAC6HHwU8QC
1yZqQNxgGwIFh6RrA6NSw5qTj39c8z7NliCzamUdz6yLyJXd4FNiZGwQ0ZjC+CKH
xXQPkvnSaYS3/XzygA8M+5/TdcVDJ3Sa3uyDZpEwbf1vyJRk7wAjv+inq+jIRUlM
8rL4pLLzLYep5Q6di2FZsJsHJKUexVj5NxEh0vavjs9GV1upv92Eh3n5qUGiD89l
+tgIMzZvpba9EUT6zVdaq6ukoopEZSaIDaxPqgDMooIVkW1ZEFDqqwMuo9dUz5fk
PjujFLBVGvlwqhcoqDBRFbkSBWtIrrdymzPiVHKRCDKfYl9zbTEVPVDQOpjP9rJK
MywOLR0EQliuujkKh+Q2W3zFBK9YI38lNVOqK05RgRFJNBrmTsBajyZQ+gzP+q3r
w7bDh0/+EXjXfYYJhsCd
=yhfY
-----END PGP SIGNATURE-----

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
For additional commands, e-mail: users-help@tomcat.apache.org


Mime
View raw message